> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Product details

> Product details



## OpenAPI

````yaml GET /v1/google/shopping/product
openapi: 3.1.0
info:
  title: ScrapeBadger Google Scraper
  description: >-
    Dedicated API for scraping Google products (SERP, Maps, News, Hotels,
    Trends, Jobs, Shopping, Patents, Scholar, Autocomplete, Images, Videos,
    Finance, AI Mode, Lens, Products).
  version: 1.0.0
servers:
  - url: https://scrapebadger.com
    description: Production
security:
  - apiKeyAuth: []
paths:
  /v1/google/shopping/product:
    get:
      tags:
        - Google Shopping
      summary: Product details
      description: Get detailed product information with seller offers.
      operationId: shopping_product_api_v1_shopping_product_get
      parameters:
        - name: product_id
          in: query
          required: true
          schema:
            type: string
            description: Product ID from search results
            title: Product Id
          description: Product ID from search results
        - name: gl
          in: query
          required: false
          schema:
            type: string
            default: us
            title: Gl
        - name: hl
          in: query
          required: false
          schema:
            type: string
            default: en
            title: Hl
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShoppingProductResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ShoppingProductResponse:
      properties:
        product:
          $ref: '#/components/schemas/ShoppingProductDetail'
      type: object
      required:
        - product
      title: ShoppingProductResponse
      description: Response for GET /api/v1/shopping/product.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ShoppingProductDetail:
      properties:
        title:
          type: string
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        brand:
          anyOf:
            - type: string
            - type: 'null'
          title: Brand
        rating:
          anyOf:
            - type: number
            - type: 'null'
          title: Rating
        reviews_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Reviews Count
        price_range_low:
          anyOf:
            - type: number
            - type: 'null'
          title: Price Range Low
        price_range_high:
          anyOf:
            - type: number
            - type: 'null'
          title: Price Range High
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        sellers:
          items:
            $ref: '#/components/schemas/ShoppingSeller'
          type: array
          title: Sellers
        specs:
          additionalProperties:
            type: string
          type: object
          title: Specs
        images:
          items:
            type: string
          type: array
          title: Images
      type: object
      required:
        - title
      title: ShoppingProductDetail
      description: Detailed product information.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ShoppingSeller:
      properties:
        name:
          type: string
          title: Name
        link:
          anyOf:
            - type: string
            - type: 'null'
          title: Link
        logo:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo
        price:
          anyOf:
            - type: number
            - type: 'null'
          title: Price
        original_price:
          anyOf:
            - type: number
            - type: 'null'
          title: Original Price
        shipping:
          anyOf:
            - type: string
            - type: 'null'
          title: Shipping
        tax:
          anyOf:
            - type: string
            - type: 'null'
          title: Tax
        total_cost:
          anyOf:
            - type: number
            - type: 'null'
          title: Total Cost
        rating:
          anyOf:
            - type: number
            - type: 'null'
          title: Rating
        reviews_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Reviews Count
      type: object
      required:
        - name
      title: ShoppingSeller
      description: A seller offering the product.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````